#include "TastaturEreignis.h"

using namespace Framework;

bool Framework::_ret1TE(void* param, void* obj, TastaturEreignis te)
{
    return 1;
}

bool Framework::_nurNummernTE(void* param, void* obj, TastaturEreignis te)
{
    if (te.taste[0] >= '0' && te.taste[0] <= '9') return 1;
    if (te.virtualKey == T_Entf || te.virtualKey == T_BackSpace) return 1;
    if (te.virtualKey == T_Links || te.virtualKey == T_Rechts
        || te.virtualKey == T_Unten || te.virtualKey == T_Oben)
        return 1;
    return 0;
}

bool Framework::_nurHexTE(void* param, void* obj, TastaturEreignis te)
{
    if (te.taste[0] >= '0' && te.taste[0] <= '9') return 1;
    if (te.taste[0] >= 'A' && te.taste[0] <= 'F') return 1;
    if (te.taste[0] >= 'a' && te.taste[0] <= 'f') return 1;
    if (te.virtualKey == T_Entf || te.virtualKey == T_BackSpace) return 1;
    if (te.virtualKey == T_Links || te.virtualKey == T_Rechts
        || te.virtualKey == T_Unten || te.virtualKey == T_Oben)
        return 1;
    return 0;
}